### error_category

Base class for all error categories.

    class error_category :
      noncopyable

##### Member Functions

Name | Description
--- | ---
message | Returns a string describing the error denoted by value.
name | Returns a string naming the error gategory.
operator!= | Inequality operator to compare two error categories.
operator== | Equality operator to compare two error categories.
~error_category [destructor] | Destructor.

##### Requirements

Header: `asio/error_code.hpp`

Convenience header: `asio.hpp`